#!/bin/bash


if [ "x$1" != "xwrap" ]; then
    echo "RUNNING GS3 CAVEAT at " `date` > out.txt
    env >> out.txt
    cd /home/sjm84/envi/bin
    ./envi gs3-caveat-x64 $*

else
# $1 = "wrap"
# On the 32 bit linux, the wrapping stage sometimes 
# fails when calculating sizeof during wrapping
# Everything until then has usually worked, so we just
# re-try wrapping to make the nightly binaries go through

    cd /
    source ./setup-env.sh

    export PATH=/home/sjm84/release-kits/bin/:$PATH

    # the star at the end does tab-completion
    cd /home/sjm84/snapshots/gs3-caveat/from*
    
    # store a copy of the original build log
    mv rk3.out rk3orig.out

    #rk3 create-installer
    rk3 wrap

    # concatenate current log to the original build log, overwriting any previous rk3.out
    # http://stackoverflow.com/questions/2150614/bash-shell-scripting-combining-txt-into-one-file
    mv rk3.out rk3wrap.out
    cat rk*.out > rk3.out
    rm rk3wrap.out
    rm rk3orig.out

    # upload the newly wrapped binary and the log
    cd /home/sjm84/envi/bin
    ./envi gs3-caveat upload

    # back to lsb root
    cd /
fi